%define upstream_name    ORLite-Mirror
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extend ORLite to support remote SQLite databases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ORLite/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::HomeDir) >= 0.690.0
BuildRequires: perl(File::Path) >= 2.40.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(IO::Compress::Bzip2) >= 2.8.0
BuildRequires: perl(IO::Compress::Gzip) >= 2.8.0
BuildRequires: perl(IO::Uncompress::Bunzip2) >= 2.8.0
BuildRequires: perl(IO::Uncompress::Gunzip) >= 2.8.0
BuildRequires: perl(LWP::Online) >= 1.70.0
BuildRequires: perl(LWP::UserAgent) >= 5.806.0
BuildRequires: perl(ORLite) >= 1.370.0
BuildRequires: perl(Params::Util) >= 0.330.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(URI) >= 1.350.0
BuildArch:  noarch

%description
the ORLite manpage provides a readonly ORM API when it loads a readonly
SQLite database from your local system.

By combining this capability with the LWP manpage, the ORLite::Mirror
manpage goes one step better and allows you to load a SQLite database from
any arbitrary URI in readonly form as well.

As demonstrated in the synopsis above, you using the ORLite::Mirror manpage
in the same way, but provide a URL instead of a file name.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 1.230.0-1.mga2
+ Revision: 213122
- update to 1.23
- update to 1.22

* Wed Jun 15 2011 jquelin <jquelin> 1.210.0-1.mga2
+ Revision: 107224
- update to 1.21

* Sun Jan 23 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 34042
- mageia rebuild
- imported package perl-ORLite-Mirror

